Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.util
Class StreamCharBuffer.StreamCharBufferReader

    java.lang.Object
      java.io.Reader
          org.codehaus.groovy.grails.web.util.StreamCharBuffer.StreamCharBufferReader

All Implemented Interfaces:
  Closeable, Readable

Enclosing class:
  StreamCharBuffer

    public final class StreamCharBuffer.StreamCharBufferReader

extends Reader

This is the java.io.Reader implementation for StreamCharBuffer

Author:
  Lari Hotari, Sagire Software Oy

Field Summary
`(package private) StreamCharBuffer.ChunkReader` | `chunkReader`
`(package private) boolean` | `eofException`
`(package private) int` | `eofReachedCounter`
`(package private) StreamCharBuffer.ChunkReader` | `lastChunkReader`
`(package private) boolean` | `removeAfterReading`

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`StreamCharBuffer.StreamCharBufferReader(boolean removeAfterReading)`

Method Summary
`void` | `close()`
`StreamCharBuffer` | `getBuffer()`
`int` | `getReadLenLimit(int askedAmount)`
`int` | `read(char[] b, int off, int len)`
`(package private) int` | `readImpl(char[] b, int off, int len)`
`boolean` | `ready()`

Methods inherited from class java.io.Reader
`mark, markSupported, read, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eofException

    boolean eofException

### eofReachedCounter

    int eofReachedCounter

### chunkReader

    StreamCharBuffer.ChunkReader chunkReader

### lastChunkReader

    StreamCharBuffer.ChunkReader lastChunkReader

### removeAfterReading

    boolean removeAfterReading

Constructor Detail

### StreamCharBuffer.StreamCharBufferReader

    public StreamCharBuffer.StreamCharBufferReader(boolean removeAfterReading)

Method Detail

### ready

    public boolean ready()
                  throws IOException

  Overrides:
    `ready` in class `Reader`
  Throws:
    `IOException`

### read

    public final int read(char[] b,
                          int off,
                          int len)
                   throws IOException

  Specified by:
    `read` in class `Reader`
  Throws:
    `IOException`

### readImpl

    final int readImpl(char[] b,
                       int off,
                       int len)
                throws IOException

  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `Reader`
  Throws:
    `IOException`

### getBuffer

    public final StreamCharBuffer getBuffer()

### getReadLenLimit

    public int getReadLenLimit(int askedAmount)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD